%define major 1

Name: libxode
Summary: A library for jabber.
Version: 1.2
Release: 4mdk
Source: %name-%version.tar.bz2
Copyright: GPL
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
  libxode provides a library of XML and string helper functions. 
  Jabber agents use libxode extensively.


%package -n %{name}%{major}
Summary: A library for jabber.
Group: System/Libraries

%description -n %{name}%{major}
  libxode provides a library of XML and string helper functions. 
  Jabber agents use libxode extensively.

                                                      
%package -n %{name}%{major}-devel
Summary: Package to make developpement with libxode.
Group: Development/C
Provides: %{name}-devel
Requires: %{name}%{major} = %version

%description -n %{name}%{major}-devel
  Package to make developpement with libxode.
  libxode provides a library of XML and string helper functions. 
  Jabber agents use libxode extensively.

%prep
%setup
%{configure}

%build
%{make}

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{name}%{major} -p /sbin/ldconfig
%postun -n %{name}%{major} -p /sbin/ldconfig


%files -n %{name}%{major}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{name}%{major}-devel
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_bindir}/*
%{_includedir}/*.h

%changelog
* Tue Nov 21 2000 Vincent Saugey <vince@mandrakesoft.com> 1.2-4mdk
- add provide in devel package

* Thu Nov 16 2000 Vincent Saugey <vince@mandrakesoft.com> 1.2-3mdk
- change id doc files 

* Thu Nov 16 2000 Vincent Saugey <vince@mandrakesoft.com> 1.2-2mdk
- Port to new mandrake lib policy

* Mon Nov  6 2000 Vincent Saugey <vince@mandrakesoft.com> 1.2-1mdk
- Up to 1.2 
- rename package name

* Mon Oct  2 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0.1-2mdk
- Adding requires flag for devel package

* Wed Sep  6 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0.1-1mdk
- Up to 1.0.1

* Fri Sep  1 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0-2mdk
- Rebuild for next release

* Mon Jul  3 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0-1mdk
- Fisrt mdk release
